---
schema_version: "1"
id: 01c0e062f086c5cb05024220d5905e063bb14dcf267ee720f8c4339be9e1e408
title: GET /contacts/v1/schema
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/schemasCollection.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/schemasCollection.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 3c2c553f60bd94f4efd273892d8166addb3dd257cad5bd36a002d48caefb14d1
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /contacts/v1/schema

## Overview

Retrieves the collection of all contact data schemas contained in the current account.

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /contacts/v1/schema
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
200 (OK)
Content-Type: application/json
{
    "links": {
        "self": { "href": "/v1/schema" }
    },
    "page": 0,
    "pageSize": 0,
    "count": 0,
    "items": [
        {
            "id": "71c1f974-9812-e411-9ef0-08edb9ddebf0",
            "enterpriseID": 10650001,
            "availableBusinessUnits": [ 10650001 ],
            "version": 16,
            "schemaType": "Contacts",
            "links": {
                "self": { "href": "/v1/schemas/71c1f974-9812-e411-9ef0-08edb9ddebf0" },
                "attributeGroups": { "href": "/v1/schemas/71c1f974-9812-e411-9ef0-08edb9ddebf0/attributeGroups" },
                "attributeSetDefinitions": { "href": "/v1/schemas/71c1f974-9812-e411-9ef0-08edb9ddebf0/attributeSetDefinitions" }
            }
        }
    ],
    "requestServiceMessageID": "ec7c40b0-22f7-11e4-bf2e-ffbc219b0f06",
    "resultMessages": [],
    "serviceMessageID": "1fa77ba6-0fb1-4ae1-914a-ef0166318f03"
}
```
